#include <iostream>
#include <bits/stdc++.h> 

using namespace std;

int nizX[100000];
int nizY[100000];

int apsolutna(int x){
  if (x < 0) return -x;
  return x;
}

int main(){

  ios_base::sync_with_stdio(false);
  cin.tie(NULL);

  int n;
  cin >> n;

  if (n == 1){
    cin >> nizX[0] >> nizY[0];
    cout << 0;
    return 0;
  }
  if (n == 2){
    int counter = 0;
    cin >> nizX[0] >> nizY[0];
    cin >> nizX[1] >> nizY[1];
    if (nizX[0] == nizY[0]){
      counter++;
    }
    if (nizX[1] == nizY[1]){
      counter++;
    }
    cout << counter;
    return 0;
  }

  int counter = 0;
  for (int i = 0; i < n; ++i){
    cin >> nizX[i] >> nizY[i];
  }

  sort(nizX, nizX + n);
  sort(nizY, nizY + n);

  for (int i = 0; i < n; ++i){
    counter += apsolutna(nizX[i] - (i + 1)) + apsolutna(nizY[i] - (i + 1));
  }

  cout << counter;

  return 0;
}